--- configure.old	2005-12-21 00:17:40.000000000 -0500
+++ configure	2005-12-24 15:20:07.000000000 -0500
@@ -35,6 +35,7 @@
 f_english=NO
 f_wizard=NO
 f_thread=NO
+export f_use64lib="no"
 f_langs=nl,se,cz,fr,id,it,de,jp,je,es,fi,ru,hr,pl,pt,hu,kr,ke,ro,si,cn,no,br,dk,sk,ua,gr,tw,sr,ca,lt,za
 
 while test -n "$1";  do
@@ -81,6 +82,10 @@
     --with-doxywizard | -with-doxywizard)
        f_wizard=YES
        ;;
+    --with-doxywizard64 | -with-doxywizard64)
+       f_wizard=YES;
+       export f_use64lib="yes";
+       ;;
     -h | -help | --help)
        f_help=y
        ;;
@@ -264,8 +269,11 @@
     exit 2
   else
     if test ! -d "$QTDIR/lib"; then
-      echo "QTDIR is set to $QTDIR, but library directory $QTDIR/lib does not exist!"
-      exit 2
+      if test ! -d "$QTDIR/lib64"; then
+        echo "QTDIR is set to $QTDIR, but library directory $QTDIR/lib does not exist!"
+        exit 2
+      fi
+      export f_use64lib="yes"
     fi
     if test ! -d "$QTDIR/include"; then
       echo "QTDIR is set to $QTDIR, but include directory $QTDIR/include does not exist!"
@@ -276,9 +284,16 @@
       exit 2
     fi
     echo " headers $QTDIR/include,"
-    echo "                     libraries $QTDIR/lib"  
-    if test -n "`ls $QTDIR/lib/* | grep qt-mt`"; then
-      f_thread=YES
+    if test "$f_use64lib" = yes; then
+      echo "                     libraries $QTDIR/lib64"  
+      if test -n "`ls $QTDIR/lib64/* | grep qt-mt`"; then
+        f_thread=YES
+      fi
+    else
+      echo "                     libraries $QTDIR/lib"  
+      if test -n "`ls $QTDIR/lib/* | grep qt-mt`"; then
+        f_thread=YES
+      fi
     fi
   fi
 fi
@@ -523,7 +538,17 @@
 #
 
 EOF
+
      cat .makeconfig >> $DST
+
+     # Check to see if addon/doxywizard/Makefile.in is reached.
+     if test $i = addon/doxywizard/Makefile.in; then
+       if test "$f_use64lib" = yes; then
+         echo "USE64 = 64" > .use64lib
+         cat .use64lib >> $DST
+       fi
+     fi
+
      if test $i = Makefile.in; then
        echo "" >> $DST
        echo "all: src/version.cpp " >> $DST
